Monday, May 12, 2008

VS 2008 SP1/.NET 3.5 SP1 with ADO.NET Entity Framework and ADO.NET Data Services Framework

Available for Download

Sam Druker announced Monday morning, May 12, 2008, in his Entity Framework & Data Services Available in VS2008 SP1 Beta post that the final beta before the RTM of the two frameworks is available for download:

The drop also adds SQL Server 2008's new date and time data types to LINQ to SQL.

Scott Guthrie's Visual Studio 2008 and .NET Framework 3.5 Service Pack 1 Beta, posted a few minutes after Sam's, includes these sections:

  • Important: SP1 Beta Installation Notes
  • Improvements for Web Development
  • Improvements for Client Development
  • Data Development Improvements
  • WCF Development Improvements
  • VB and C# Improvements

(This post is about 10-15 feet long.)

Important: Be sure to read the VS 2008 SP1 and .NET 3.5 SP1 Beta Readmes and Scott's SP1 Beta Installation Notes before installing them.

  • Vista SP1 must be installed before installing .NET 3.5 SP1 (per Scott Guthrie)
  • .NET 3.5 SP1 is incompatible with the ASP.NET 3.5 Extensions Preview (December 2007) and it must be removed before installing .NET 3.5 SP1. (One of my machines refused to uninstall the Preview until I repaired it.)
  • .NET 3.5 is incompatible with the Silverlight 2 Beta 1 SDK, Silverlight Tools Beta 1 for VS 2008, and Expression Blend (xcept new release of Expression Blend 2.5 March Preview) per the download page.

Julie Lerman has two important posts that describe compatibility issues with earlier versions:

Stay Tuned: For another post after I've installed them and checked out their content.